Group: Development/Tools
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define svn_revision 39
%define snapshot_date 20071107

Name:           upslug2
Version:        0.0
Release:        alt2_0.31.%{snapshot_date}.svn%{svn_revision}
Summary:        Firmware update utility for the nslu2
License:        MIT
URL:            http://www.nslu2-linux.org/wiki/Main/UpSlug2
# To recreate:
# svn export -r %{svn_revision} http://svn.nslu2-linux.org/svnroot/upslug2/trunk %{name}
# tar cvfz %{name}-svn-%{svn_revision}.tar.gz %{name}
Source0:        %{name}-svn-%{svn_revision}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  automake libpcap-devel
Source44: import.info

%description
upslug2 is a command line program intended to allow the upgrade of a LinkSys
NSLU2 firmware to new or different versions.  Unlike upslug and the LinkSys
(Sercomm) upgrade utilities, upslug2 will synthesise a complete 'image'
from a kernel and a root file system, as such it duplicates part of the
functionality of 'slugimage'.

upslug2 also optimizes the upload to avoid transmitted parts of the image which
need not be written or are 'blank' (set to the erased flash value of all 1's).


%prep
%setup -q -n %{name}
autoreconf -i


%build
%configure --with-libpcap
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -p -m 644 upslug2.8 $RPM_BUILD_ROOT/%{_mandir}/man8



%files
%doc AUTHORS ChangeLog COPYING README
%{_sbindir}/upslug2
%{_mandir}/man8/upslug2.8*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.31.20071107.svn39
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.30.20071107.svn39
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.29.20071107.svn39
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.28.20071107.svn39
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.27.20071107.svn39
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.26.20071107.svn39
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.0-alt2_0.25.20071107.svn39
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.0-alt2_0.24.20071107.svn39
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.24.20071107.svn39
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.23.20071107.svn39
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.22.20071107.svn39
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.21.20071107.svn39
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.20.20071107.svn39
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.19.20071107.svn39
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.18.20071107.svn39
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.16.20071107.svn39
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.15.20071107.svn39
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.14.20071107.svn39
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.12.20071107.svn39
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.11.20071107.svn39
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.10.20071107.svn39
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.0-alt1_0.9.20071107.svn39
- initial fc import

